Skip to main content
GET
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
members
/
{user_id}
/
effective-roles
List organization member effective roles.
curl --request GET \
  --url https://{tenantDomain}/api/v2/organizations/{id}/members/{user_id}/effective-roles \
  --header 'Authorization: Bearer <token>'
{
  "roles": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "sources": [
        "direct"
      ]
    }
  ],
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Organization identifier.

Maximum string length: 50
user_id
string
required

ID of the user to list effective roles for.

Query Parameters

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: x >= 1

Response

Organization member's effective roles successfully retrieved.

roles
object[]
required
next
string

Cursor for the next page of results